
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>记一次奇怪的ORA-04028: cannot generate diana for object / iVAN</title>

    <meta name="description" content="记一次奇怪的ORA-04028: cannot generate diana for object       开发人员说新建了一个package,在编译的过程中出现了一些错误.提示为PL/SQL:ORA-00942: table or view does not exists.这是一个很明显的错误,即要么是表不存在,要么是由于没有权限就会出现该错误提示.根据这个提示,在增加相应的权限后,再次编译收到了ORA-04028: cannot generate diana for object这个错误提示.下面是具体的描述.   1.错误提示信息 gx_adm@MMDB&gt; alter pack ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">记一次奇怪的ORA-04028: cannot generate diana for object</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>      开发人员说新建了一个package，在编译的过程中出现了一些错误。提示为PL/SQL:ORA-00942: table or view does not exists。这是一个很明显的错误，即要么是表不存在，要么是由于没有权限就会出现该错误提示。根据这个提示，在增加相应的权限后，再次编译收到了ORA-04028: cannot generate diana for object这个错误提示。下面是具体的描述。</p>
<p> </p>
<p>1、错误提示信息</p>
<pre>gx_adm@MMDB&gt; alter package MM_IMP_BAT_ACC_PKG compile;
alter package MM_IMP_BAT_ACC_PKG compile
*
ERROR at line 1:
ORA-04028: cannot generate diana for object gx_adm.IMP_BAT_ACC_AUTH_TMP_TBL
</pre>
<p> </p>
<p>2、分析与解决</p>
<pre>robin@SZDB:~&gt; oerr ora 04028
04028, 00000, "cannot generate diana for object %s%s%s%s%s"
// *Cause:  Cannot generate diana for an object because of lock conflict.
// *Action: Please report this error to your support representative.

--上面的错误提示是存在锁冲突

oracle@Dev-DB-04:~&gt; export ORACLE_SID=MMDB
oracle@Dev-DB-04:~&gt; sqlplus / as sysdba

SQL*Plus: Release 10.2.0.5.0 - Production on Wed Apr 23 09:21:44 2014

Copyright (c) 1982, 2010, Oracle.  All Rights Reserved.

Connected to:
Oracle Database 10g Release 10.2.0.5.0 - 64bit Production

SQL&gt; show parameter db_name

NAME                                 TYPE        VALUE
------------------------------------ ----------- ------------------------------
db_name                              string      MMDB

SQL&gt; @lock_obj.sql    ---&gt;没有发现任何对象被锁定

no rows selected

--下面是来自metalink的信息，也没有看到什么可用的帮助信息，提示我们检查语法错误以及也是锁冲突
(Doc ID 19834.1)OERR: ORA 4028 cannot generate diana for object &lt;name&gt; (Doc ID 19834.1)

OERR: ORA 4028 cannot generate diana for object &lt;name&gt;
Error:  ORA 4028
Text:   cannot generate diana for object &lt;name&gt;
-------------------------------------------------------------------------------
Cause:  A lock conflict prevented the generation of diana for an object.
Action: Check the syntax.
        If no syntax errors are found, report this error to Oracle World Wide
        Support.
        For more information about locks, see the index entry on "lock" in
        &lt;Oracle7 Server SQL Reference&gt;.

--Authro: Leshami
--Blog  : http://blog.csdn.net/leshami
--检查alert 日志，也没有查看到什么特殊的ORA信息
--约摸折腾了一会儿，也没有什么结果，由于是DEV DB，当前没有人再使用，索性重启了一下  

SQL&gt; shutdown immediate;
Database closed.
Database dismounted.
ORACLE instance shut down.
SQL&gt; startup pfile=/u02/database/MMDB/initMMDB.ora;
ORACLE instance started.

Total System Global Area  599785472 bytes
Fixed Size                  2098112 bytes
Variable Size             163580992 bytes
Database Buffers          427819008 bytes
Redo Buffers                6287360 bytes
Database mounted.
Database opened.

SQL&gt; conn gx_adm/xxx
Error accessing PRODUCT_USER_PROFILE
Warning:  Product user profile information not loaded!
You may need to run PUPBLD.SQL as SYSTEM
Connected.
SQL&gt; alter package MM_IMP_BAT_ACC_PKG compile;

Package altered.

SQL&gt; alter package MM_IMP_BAT_ACC_PKG compile body;

Package body altered.

--从上面的编译来看，编译正常。
</pre>
<p> </p>
<p>3、后记<br />a、对于这个错误，还是第一次碰到，不过没有检查出锁定对象。<br />b、通过重启后正常，说明应该还是可能存在锁冲突，可能是重启前没有找到合适的方式检查出来。<br />c、生产环境不建议贸然重启，最好查明原因再解决。</p>
<p> </p>
<p><a href="http://wp.qq.com/wpa/qunwpa?idkey=63ed41c9a94b48ebc4d3d956537065ba6d18a649c353b09bfdac284518b7b8d8" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcHViLmlkcXFpbWcuY29tL3dwYS9pbWFnZXMvZ3JvdXAucG5n.jpg"></a>    <a href="http://wp.qq.com/wpa/qunwpa?idkey=9ece469d99da670d85e1576013677151012787a7bfc26894598e61853d487917" rel="external nofollow noreferrer"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcHViLmlkcXFpbWcuY29tL3dwYS9pbWFnZXMvZ3JvdXAucG5n.jpg"></a></p>
<p>更多参考</p>
<p>有关Oracle RAC请参考<br />     <a href="http://blog.csdn.net/robinson_0612/article/details/8219242" rel="external nofollow noreferrer">使用crs_setperm修改RAC资源的所有者及权限</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8192571" rel="external nofollow noreferrer">使用crs_profile管理RAC资源配置文件</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8129506" rel="external nofollow noreferrer">RAC 数据库的启动与关闭</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8124232" rel="external nofollow noreferrer">再说 Oracle RAC services</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8089812" rel="external nofollow noreferrer">Services in Oracle Database 10g</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8090095" rel="external nofollow noreferrer">Migrate datbase from single instance to Oracle RAC</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8073620" rel="external nofollow noreferrer">Oracle RAC 连接到指定实例</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8072367" rel="external nofollow noreferrer">Oracle RAC 负载均衡测试(结合服务器端与客户端)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8064599" rel="external nofollow noreferrer">Oracle RAC 服务器端连接负载均衡(Load Balance)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8060634" rel="external nofollow noreferrer">Oracle RAC 客户端连接负载均衡(Load Balance)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8053007" rel="external nofollow noreferrer">ORACLE RAC 下非缺省端口监听配置(listener.ora tnsnames.ora)</a> <br />     <a href="http://blog.csdn.net/robinson_0612/article/details/8020800" rel="external nofollow noreferrer">ORACLE RAC 监听配置 (listener.ora tnsnames.ora)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6791667" rel="external nofollow noreferrer">配置 RAC 负载均衡与故障转移</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/7926241" rel="external nofollow noreferrer">CRS-1006 , CRS-0215 故障一例</a> <br />     <a href="http://blog.csdn.net/robinson_0612/article/details/7906282" rel="external nofollow noreferrer">基于Linux (RHEL 5.5) 安装Oracle 10g RAC</a> <br />     <a href="http://blog.csdn.net/robinson_0612/article/details/6533094" rel="external nofollow noreferrer">使用 runcluvfy 校验Oracle RAC安装环境</a></p>
<p>有关Oracle 网络配置相关基础以及概念性的问题请参考：<br />     <a href="http://blog.csdn.net/robinson_0612/article/details/5925526" rel="external nofollow noreferrer">配置非默认端口的动态服务注册</a> <br />     <a href="http://blog.csdn.net/robinson_0612/article/details/6629141" rel="external nofollow noreferrer">配置sqlnet.ora限制IP访问Oracle</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6629043" rel="external nofollow noreferrer">Oracle 监听器日志配置与管理</a> <br />     <a href="http://blog.csdn.net/robinson_0612/article/details/6629249" rel="external nofollow noreferrer">设置 Oracle 监听器密码(LISTENER)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5917103" rel="external nofollow noreferrer">配置ORACLE 客户端连接到数据库</a></p>
<p>有关基于用户管理的备份和备份恢复的概念请参考<br />     <a href="http://blog.csdn.net/robinson_0612/article/details/5791597" rel="external nofollow noreferrer">Oracle 冷备份</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5816012" rel="external nofollow noreferrer">Oracle 热备份</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5791585" rel="external nofollow noreferrer">Oracle 备份恢复概念</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5768233" rel="external nofollow noreferrer">Oracle 实例恢复</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6041217" rel="external nofollow noreferrer">Oracle 基于用户管理恢复的处理</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6041207" rel="external nofollow noreferrer">SYSTEM 表空间管理及备份恢复</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5810732" rel="external nofollow noreferrer">SYSAUX表空间管理及恢复</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/7962187" rel="external nofollow noreferrer">Oracle 基于备份控制文件的恢复(unsing backup controlfile)</a></p>
<p>有关RMAN的备份恢复与管理请参考<br />     <a href="http://blog.csdn.net/robinson_0612/article/details/6032525" rel="external nofollow noreferrer">RMAN 概述及其体系结构</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6032597" rel="external nofollow noreferrer">RMAN 配置、监控与管理</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6032739" rel="external nofollow noreferrer">RMAN 备份详解</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6041247" rel="external nofollow noreferrer">RMAN 还原与恢复</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6043649" rel="external nofollow noreferrer">RMAN catalog 的创建和使用</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6073020" rel="external nofollow noreferrer">基于catalog 创建RMAN存储脚本</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6073069" rel="external nofollow noreferrer">基于catalog 的RMAN 备份与恢复</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6414338" rel="external nofollow noreferrer">RMAN 备份路径困惑</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6639064" rel="external nofollow noreferrer">使用RMAN实现异机备份恢复(WIN平台)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/6453954" rel="external nofollow noreferrer">使用RMAN迁移文件系统数据库到ASM</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8029245" rel="external nofollow noreferrer">linux 下RMAN备份shell脚本</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/8076841" rel="external nofollow noreferrer">使用RMAN迁移数据库到异机</a></p>
<p>有关ORACLE体系结构请参考<br />     <a href="http://blog.csdn.net/robinson_0612/article/details/5611738" rel="external nofollow noreferrer">Oracle 表空间与数据文件</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5611672" rel="external nofollow noreferrer">Oracle 密码文件</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5559174" rel="external nofollow noreferrer">Oracle 参数文件</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5749556" rel="external nofollow noreferrer">Oracle 联机重做日志文件(ONLINE LOG FILE)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5737527" rel="external nofollow noreferrer">Oracle 控制文件(CONTROLFILE)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5784713" rel="external nofollow noreferrer">Oracle 归档日志</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5731158" rel="external nofollow noreferrer">Oracle 回滚(ROLLBACK)和撤销(UNDO)</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5542983" rel="external nofollow noreferrer">Oracle 数据库实例启动关闭过程</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5534832" rel="external nofollow noreferrer">Oracle 10g SGA 的自动化管理</a>     <a href="http://blog.csdn.net/robinson_0612/article/details/5529239" rel="external nofollow noreferrer">Oracle 实例和Oracle数据库(Oracle体系结构)</a> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 23:58:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/oracle/" title="oracle">oracle</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e8%b4%9f%e8%bd%bd%e5%9d%87%e8%a1%a1/" title="负载均衡">负载均衡</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/database/" title="database">database</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>, <a href="https://www.iamivan.net/tag/rac/" title="RAC">RAC</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e7%a9%ba%e9%97%b4/" title="表空间">表空间</a>, <a href="https://www.iamivan.net/tag/rman/" title="rman">rman</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>记一次奇怪的ORA-04028: cannot generate diana for object的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2R7KBb.html" rel="bookmark">ORA-04028&colon; cannot generate diana for object xxx</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在ORACLE数据库(10.2.0.5.0)上修改一个包的时候,编译有错误,具体错误信息为&quot;ORA-04028: cannot generate diana for object xxx&quot;.   Warning: Package Body created with compilation errors.   SQL&gt; show error; Errors for PACKAGE BODY XXXXX.&quot;XXXXXXXX&quot;:   LINE/COL ERROR			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9x4OXb.html" rel="bookmark">JavaScript对数字的判断与处理实例分析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript对数字的判断与处理技巧.分享给大家供大家参考.具体分析如下: Javascript多态的属性是非常爽的,一个var就不用记这么多奇怪的变量,然而,有时候你会困惑,为何,我明明是对两个数进行相加处理,可是结果却被当作字符串加起来呢?这就是Javascript的var不好的地方,它不像php,用一个.来指明这是字符串的连接.这是你需要parseFloat来明确指明这个var是数.需要用isNaN来判断这是不是数.isNaN(一个被判断的var)的时候,结果为真那么它			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPxxJb.html" rel="bookmark">一次ORA-00600问题的排查和分析&lpar;上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				昨天处理了一起ora-00600的错误,其中也经历了各种曲折,真是雾里看花,看透了之后发现很多问题都是有原因的. 起初是开发说有一个job运行的时候报错了,数据库版本是11.2.0.2.0 等到问题提交到我这,客户已经检查了一些信息了.但是还是没有结论. 对于这个问题,我还是照例开始检查数据库日志. 在那个时间段内里出现了ora-00600的错误. Wed Jun 10 13:47:17 2015 Errors in file /opt/app/oracle/dbccbspr1/diag/rdb			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWDEDep.html" rel="bookmark">ocm模拟考试总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ocm考试临近了,老师定在今天让大家模拟考一把.熟悉熟悉考试的感觉. 毕业以后又很长一段时间没考试了. 废话少说,进入正题.   考试的题目老师说比真实的考试要难一些,题量要大一些,从早上九点半开始到下午2:40,因为gc安装太熬时间,gc安装的空挡出去吃了个饭,总的算下来,是没有算休息的时间. 第一部分,手动创建数据库,没看清题目,字符集建错了,建好以后发现有问题,然后把数据文件删除了重新来过. 还有一个奇怪的ora 600错误一直困扰,但是没有影响整体,在create spfile from			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MW24rb.html" rel="bookmark">java泛型type体系整理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一直对jdk的ref使用比较模糊,早上花了点时间简单的整理了下,也帮助自己理解一下泛型的一些处理.   java中class,method,field的继承体系     java中所有对象的类型定义类Type   说明:    Type :  Type is the common superinterface for all types in the Java programming language. These include raw types, parameterized types, 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOelqb.html" rel="bookmark">python魔法方法-属性转换和类的表示详解&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				类型转换魔法 类型转换魔法其实就是实现了str.int等工厂函数的结果,通常这些函数还有类型转换的功能,下面是一些相关的魔法方法: •__int__(self) •转换成整型,对应int函数. •__long__(self) •转换成长整型,对应long函数. •__float__(self) •转换成浮点型,对应float函数. •__complex__(self) •转换成 复数型,对应complex函数. •__oct__(self) •转换成八进制,对应oct函数. •__hex__(s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqJ7Gp.html" rel="bookmark">php学习随记4</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				php 操作数组 (合并,拆分,追加,查找,删除等) 博客分类: Php / Pear / Mysql / Node.js 1. 合并数组 array_merge()函数将数组合并到一起,返回一个联合的数组.所得到的数组以第一个输入数组参数开始,按后面数组参数出现的顺序依次迫加.其形式为: array array_merge (array array1 array2-,arrayN) 这个函数将一个或多个数组的单元合并起来,一个数组中的值附加在前一个数组的后面.返回作为结果的数组. 如果输入的数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b23yoM.html" rel="bookmark">Flash中锚记讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多人都不知道flash中有个叫锚记的东西,更别说使用他了,即使有人知道有这个东西也不见的会使用,即使会使用他也不一定去用. 那么我现在就告诉那些不知道锚记是什么,跟那些不会用锚记的人使用. 锚记是flashMX就已经提供了的功能,众所周知,在纯flash网站中是不能使用后退键的,一般的HTML网站都可以使用浏览器的收藏功能,并且能使用后退键观看刚才看过的内容.我相信浏览器的功能键里用的最多的就是后退,其次是刷新.如果flash不能使用后退键,这会让人感觉到多么的不方便.也正因为这种不方便几乎是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMr4xxz.html" rel="bookmark">ORA FAQ 性能调整系列之&mdash;&mdash;Oracle 9与Oracle 8中CPU</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|性能 What is the difference between cpu_costing in Oracle 9 and the old costing of Oracle 8 ?Oracle 9与Oracle 8中CPU_COSTING有什么变化? Author's name: Jonathan LewisAuthor's Email: Jonathan@jlcomp.demon.co.ukDate written: 15th Dec 2002 Oracle version(s			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPkrqM.html" rel="bookmark" class="title">孙鑫-Visual C&plus;&plus;的一段代码搞不懂求解释</a>
					<div>
						问题描述 Visual C++的一段代码搞不懂求解释 说一下自己的理解.题目是孙鑫老是的文本输出的例子. 1:GetBkColor得到背景白色,然后SetTextColor(白色)把背景白色设置为文字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgPnEp.html" rel="bookmark" class="title">WPS Office 2012界面风格切换 想换就换</a>
					<div>
						  金山办公软件已经正式发布了WPS Office 2012办公软件.可能有些用户还不适应WPS 2012版的新界面,现在就让小编给大家介绍下如何更改界面风格吧. WPS Office 2012遵循W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4WqPp.html" rel="bookmark" class="title">HTML Form issue</a>
					<div>
						 因兼容DOM0的关系,form被设计成支持直接可通过name直接access到control.例如如有一个&lt;input name=&quot;user&quot;/&gt;则可直接使用形如do ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgmn1z.html" rel="bookmark" class="title">国外虚拟主机选购指南</a>
					<div>
						国外的虚拟主机和国内的相比有不少的优点,例如不用去备案,价格相对低廉,稳定性也好,虽然从国内访问速度稍微慢一些,但的确是一个低成本创建一个网站的好方案.国外的空间基本上是基于Linux+Apache+ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLnBab.html" rel="bookmark" class="title">手推车&rdquo;功能的实现</a>
					<div>
						手推车&quot;功能的实现 &quot;手推车&quot;是在线购物网站(零售)中一项重要的功能.本文将要探讨用ASP程序实现&quot;手推车&quot;功能的技巧.要想在网站上实现&quot;手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxm10p.html" rel="bookmark" class="title">Flash初学者教程：按钮制作</a>
					<div>
						按钮|初学|教程 动画演示: 点击这里下载源文件 嗯,我们今天制作一个按钮,有AS代码.主要AS(请勿复制以下代码,否则会出错): MovieClip.gotoAndPlay(帧) 意思是:让某个影片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJyovp.html" rel="bookmark" class="title">小结：PHP动态网页程序优化及高效提速问题</a>
					<div>
						传递数组时使用 return 比使用 global 要高效,比如: function userloginfo($usertemp){ $detail=explode(&quot;&quot;,$use ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal6ANz.html" rel="bookmark" class="title">SharePoint工作流开发点滴&lpar;3&rpar;</a>
					<div>
						在利用ECM Starter kit Beta2中的模板开发工作流的时候经常会切换到其它窗口,比如要为InfoPath 表单模板生成类文件,要安装工作流等等. 可不可以把这些工作都集成到Visual  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKyE3M.html" rel="bookmark" class="title">Word 2010中插入和显示可选连字符</a>
					<div>
						所谓连字符主要用于设置英文Word文档中行尾的英文单词的断开位置,用户可以通过使用自动断字.手动断字.插入可选连字符或插入不间断连字符功能控制英文单词的断字方式.其中,可选连字符就是一种可供用户自由决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNdEmb.html" rel="bookmark" class="title">阿里云的快照是什么</a>
					<div>
						所谓快照,就是某一个时间点上某一个磁盘的数据备份. 您在使用磁盘的过程中,有可能会遇到以下需求: 当您在磁盘上进行数据的写入和存储时,希望使用某块磁盘上的数据作为其他磁盘的基础数据. 云盘(普通云盘. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjRLlb.html" rel="bookmark" class="title">Photoshop制作水晶球中的精灵</a>
					<div>
						  本教程主要用Photoshop制作水晶球中的精灵教程,结合了自制水晶球.特效笔刷的使用以及边框的制作等多项内容,虽然看上去很复杂,但只要你愿意仔细看看,就一定能学会! 效果图: 分类: PS入门教 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqNQKb.html" rel="bookmark" class="title">配置-关于edmx的位置（实体数据模型）</a>
					<div>
						问题描述 关于edmx的位置(实体数据模型) 初次学习entity framework,新建一个窗口应用程序(空),新建AppCode文件夹,创建一个ef模型. 经过一系列简单的下一步结束之后,问题来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3EX5z.html" rel="bookmark" class="title">Android底部导航栏实现（四）之TabLayout&plus;ViewPager</a>
					<div>
						这里简单记录一下通过TabLayout+ViewPager来实现Android底部导航栏.   布局 &lt;?xml version=&quot;1.0&quot; encoding=&quot;u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y9r4M.html" rel="bookmark" class="title">一个小创新 颐和园每年立省100万！</a>
					<div>
						春湖落日水拖蓝,天影楼台上下涵,十里青山行画里,双飞百鸟似江南. 这便是是风光旖旎.享誉中外的颐和园.   在全互联的信息时代,颐和园这座皇家园林也插上科技之翼,为游客开启了免费WiFi接入服务,让游 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd498b.html" rel="bookmark" class="title">Photoshop合成被沙丘淹没的城市</a>
					<div>
						  本教程主要使用Photoshop合成被沙丘淹没的城市,这次视频翻译合成教程是一篇荒废的失落之城场景教程,步骤比较简单,有基础的同学可以学习一下合成思路.喜欢的朋友让我们一起来学习吧. 原图效果如下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRKL5b.html" rel="bookmark" class="title">安企做民用：做不了高大上就做小优美</a>
					<div>
						全球经济正在呈现不断朝着融合与集中的趋势发展,行业与行业之间的距离正在逐渐缩小,互联网.IT企业不断深入各行各业,分食不同行业潜在的广阔市场,而对安防领域的渗入则表现在各类智能摄像头的出现,迅速席卷了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBkGZM.html" rel="bookmark" class="title">HEVC算法和体系结构：预测编码之帧间预测</a>
					<div>
						预测编码之帧间预测(Inter-Picture Prediction)           帧间预测是指利用视频时间域相关性,使用临近已编码图像像素预测当前图像的像素,以达到有效去除视频时域冗余的目的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7RjZz.html" rel="bookmark" class="title">python-Python 3&period;4 filedialog怎么选择多个文件</a>
					<div>
						问题描述 Python 3.4 filedialog怎么选择多个文件 各位大神,我最近在学Python,有一个问题. 我这样写代码: fns = askopenfilename(filetypes=[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJPV5p.html" rel="bookmark" class="title">架构之坑系列1：重构中的过度设计与高可用银弹</a>
					<div>
						这是一个坑系列,会说一些在系统设计.系统架构上的坑,这些都是我想到哪说到哪,有像这篇一样比较宏观的坑,后面的文章也会有到具体技术细节的(比如某个函数,某个系统调用)坑.总之,到处都是坑,这些坑有些是我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq15mb.html" rel="bookmark" class="title">link将字节数组转换成字符串的写法</a>
					<div>
						问题描述 link将字节数组转换成字符串的写法 link将字节数组转换成字符串的写法是什么? 解决方案 byte[] data = ... string result = string.Concat( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ8OYp.html" rel="bookmark" class="title">用博客发信息须注册实名</a>
					<div>
						昨天,十一届全国人大常委会第三十次会议审议通过&lt;关于加强网络信息保护的决定&gt;.决定旨在保护网络信息安全,保障公民.法人和其他组织的合法权益,维护国家安全和社会公共利益.&lt;决定&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjyPQM.html" rel="bookmark" class="title">中国移动4G基站数达到143万 全球第一</a>
					<div>
						在11月2日举行的运营转型论坛上,中国移动副总裁李正茂透露,中国移动已经建设全球规模最大.发展最快.技术领先的网络.具体而言,中国移动已经建设143万4G基站,数量雄冠全球,成为全球覆盖最好的网络(覆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqBJ6b.html" rel="bookmark" class="title">acm 算法 暴力-acm水题求解，关于贪心算法</a>
					<div>
						问题描述 acm水题求解,关于贪心算法 #include #include #include using namespace std; /* run this program using the co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z443VJz.html" rel="bookmark" class="title">javascript执行环境及作用域详解&lowbar;javascript技巧</a>
					<div>
						最近在重读&lt;javascript高级程序设计3&gt;,觉得应该写一些博客记录一下学习的一些知识,不然都忘光啦.今天要总结的是js执行环境和作用域. 首先来说一下执行环境  一.执行环境     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEWBZz.html" rel="bookmark" class="title">Win2008 网络策略设置方法 让访问更安全&lowbar;win服务器</a>
					<div>
						那如何才能避免这些工作站将各种潜在的安全威胁带到服务器系统中,从而给服务器系统造成非常大的影响呢?要做到这一点,我们可以通过设置Windows Server 2008系统的网络策略,来保护服务器系统的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlLY1p.html" rel="bookmark" class="title">Zend Framework教程之请求对象的封装Zend&lowbar;Controller&lowbar;Request实例详解&lowbar;php实例</a>
					<div>
						本文实例讲述了Zend Framework教程之请求对象的封装Zend_Controller_Request方法.分享给大家供大家参考,具体如下: 概述 请求对象是在前端控制器,路由器,分发器,以及控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2Jl4z.html" rel="bookmark" class="title">Android通过json向MySQL中读写数据的方法详解【读取篇】&lowbar;Android</a>
					<div>
						本文实例讲述了Android通过json向MySQL中读取数据的方法.分享给大家供大家参考,具体如下: 首先 要定义几个解析json的方法parseJsonMulti,代码如下: private vo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7ZdBb.html" rel="bookmark" class="title">简洁短小的 JavaScript IE 浏览器判定代码&lowbar;javascript技巧</a>
					<div>
						这个目前世界上最短的 Javascript 判定 IE 浏览器的方法来自俄罗斯!它已经在各版本的 IE 以及目前其他流行的浏览器上经过测试,基于 IE 的 Bug,微软虽然已经意识到,但是从来没有纠正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0y6Ez.html" rel="bookmark" class="title">textbox-C&num;  索引超出了数组界限   论坛找过了  没有找到答案  求解决！</a>
					<div>
						问题描述 C# 索引超出了数组界限 论坛找过了 没有找到答案 求解决! if (folderBrowserDialog1.ShowDialog() == DialogResult.OK) { int  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0lNjp.html" rel="bookmark" class="title">spring java ssh2-突然所有的spring项目都启动不了了</a>
					<div>
						问题描述 突然所有的spring项目都启动不了了 解决方案 应该是sping版本太高了.struct不支持 解决方案二: 不支持spring版本4.0,你下载的spring是不是不稳定版的啊 解决方案 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
